com.fasterxml.jackson.databind.deser.impl

## Class ReadableObjectId

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId

-     public class ReadableObjectId
      extends Object

  Simple value container for containing information about single Object Id during deserialization

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReadableObjectId.Referring`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object` | `id` Deprecated.
    `Object` | `item` Deprecated. Prefer using `resolve()`, which is able to handle external id resolving mechanism.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadableObjectId(Object id)` Deprecated.
    `ReadableObjectId(ObjectIdGenerator.IdKey key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendReferring(ReadableObjectId.Referring currentReferring)`
    `void` | `bindItem(Object ob)` Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.
    `ObjectIdGenerator.IdKey` | `getKey()`
    `boolean` | `hasReferringProperties()`
    `Iterator<ReadableObjectId.Referring>` | `referringProperties()`
    `Object` | `resolve()`
    `void` | `setResolver(ObjectIdResolver resolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### item

          @Deprecated
          public Object item

      Deprecated. Prefer using `resolve()`, which is able to handle external id resolving mechanism.

    - #### id

          @Deprecated
          public final Object id

      Deprecated.

  - ### Constructor Detail

    - #### ReadableObjectId

          @Deprecated
          public ReadableObjectId(Object id)

      Deprecated.

    - #### ReadableObjectId

          public ReadableObjectId(ObjectIdGenerator.IdKey key)

  - ### Method Detail

    - #### setResolver

          public void setResolver(ObjectIdResolver resolver)

    - #### getKey

          public ObjectIdGenerator.IdKey getKey()

    - #### appendReferring

          public void appendReferring(ReadableObjectId.Referring currentReferring)

    - #### bindItem

          public void bindItem(Object ob)
                        throws IOException

      Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.
      Throws:
        `IOException`

    - #### resolve

          public Object resolve()

    - #### hasReferringProperties

          public boolean hasReferringProperties()

    - #### referringProperties

          public Iterator<ReadableObjectId.Referring> referringProperties()

Copyright © 2014 FasterXML. All Rights Reserved.